// (c) MIT 2003.  All rights reserved.

////////////////////////////////////////////////////////////////////////////////
//
// FILE:	VisibleWidget.java
//
// AUTHOR:	Manoj D. Muzumdar
//		archon@ai.mit.edu
//
// DATE:	06-XX-98
//
// COPYRIGHT:	Massachusetts Institute of Technology
//		All rights reserved.
//
// PURPOSE:	Drawing recognition
//
// HISTORY:     11-15-98 archon
//              Now aware of new rec.geo package
//
////////////////////////////////////////////////////////////////////////////////

package rec.sys;

import java.util.*;
import java.awt.*;
import rec.util.*;
import rec.geo.*;
import rec.core.widgets.*;

public abstract class VisibleWidget extends SpatialWidget implements Displayable
{
  public VisibleWidget()
  {
  }

  public void makeDefaultSuitcase( Surface s )
  {
    addToSuitcase( new SurfaceTransition( s, this ) );
  }

  public Collection isa()
  {
    Class c = null;
    try {
      c = Class.forName( "rec.sys.VisibleWidget" );
    }
    catch( ClassNotFoundException e ) {

      Assert.error( "bad/unrecognized widget class name" );
    }

    Collection types = super.isa();
    types.add( c );
    
    return types;
  }

}

///////////////////////////////////////////////////////////////////////////////

